[EXPLOIT][VMWARE] Prise de contrôle d’un système via une vulnérabilité au sein de VMware vSphere Data Protection

[EXPLOIT][VMWARE] Prise de contrôle d’un système via une vulnérabilité au sein de VMware vSphere Data Protection

Le CERT-XMCO vous partage une information ayant fait l’actualité durant la semaine écoulée (21 au 25 août). Nous vous proposons de revenir sur la publication d’un code d’exploitation affectant VMWare vSphere Data Protection. Il permet de prendre le contrôle d’un système vulnérable à distance via une clé secrète rendue publique fin 2016.


Description
Une preuve de concept, exploitant la vulnérabilité présentée dans le bulletin CXA-2016-4441, a été publiée.

La vulnérabilité en question, référencée CVE-2016-7456, affecte VMWare vSphere Data Protection. L’exploitation de cette faille permet à un attaquant de prendre le contrôle d’un système distant.

La preuve de concept se matérialise sous la forme d’un code en Ruby intégré au framework Metasploit. Ce code permet d’utiliser une clé secrète devenue publique pour obtenir un accès administrateur disposant par ailleurs des droits « sudo ».


Code d’exploitation
Le code d’exploitation est disponible à l’adresse suivante :
https://github.com/rapid7/metasploit-framework/commit/840c0d5f56f918c660c1a4f3b09cdee89a12a4fc


Recommandation

Le CERT-XMCO recommande l’application des correctifs disponibles auprès du support VMWare :
https://kb.vmware.com/selfservice/microsites/search.do?language=en_US&cmd=displayKC&externalId=2147069

Cert-XMCO